igeo

## Class ITrimCache

- java.lang.Object
- - igeo.ITrimCache

-     public class ITrimCache
      extends java.lang.Object

  Point cache of a surface trim curves, for checking a point is inside the trim or not
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IPolyline2D[]` | `inTrims`
    `IPolyline2D[]` | `outTrims`
    `int` | `resolution`
    `ISurfaceGeo` | `surface`
    `int` | `udeg`
    `int` | `vdeg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITrimCache(ISurfaceGeo surf)`
    `ITrimCache(ISurfaceGeo surf, int resolution)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()`
    `boolean` | `isInside(double u, double v)`
    `boolean` | `isInside(IVec2 v)` check a 2d point is inside the trim curves.
    `boolean` | `isInside(IVec2I v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### surface

          public ISurfaceGeo surface

    - #### resolution

          public int resolution

    - #### udeg

          public int udeg

    - #### vdeg

          public int vdeg

    - #### outTrims

          public IPolyline2D[] outTrims

    - #### inTrims

          public IPolyline2D[] inTrims

  - ### Constructor Detail

    - #### ITrimCache

          public ITrimCache(ISurfaceGeo surf,
                            int resolution)

    - #### ITrimCache

          public ITrimCache(ISurfaceGeo surf)

  - ### Method Detail

    - #### init

          public void init()

    - #### isInside

          public boolean isInside(IVec2I v)

    - #### isInside

          public boolean isInside(double u,
                                  double v)

    - #### isInside

          public boolean isInside(IVec2 v)

      check a 2d point is inside the trim curves. the condition where out-trim loop is inside in-trim loop is ignored and it'd be false.